std::basic_const_iterator::basic_const_iterator(3)

NAME
std::basic_const_iterator::basic_const_iterator - std::basic_const_iterator::basic_const_iterator

Synopsis
   basic_const_iterator() requires std::default_initializable<Iter> = (1) (since C++23)
   default;
   constexpr basic_const_iterator( Iter x ); (2) (since C++23)
   template< std::convertible_to<Iter> U > (3) (since C++23)
   constexpr basic_const_iterator( basic_const_iterator<U> other );
   template< /*different-from*/<basic_const_iterator> T >
       requires std::convertible_to<T, Iter> (4) (since C++23)
   constexpr basic_const_iterator( T&& x );
   Constructs a new iterator adaptor.
   1) Default constructor. The underlying iterator is value-initialized.
   2) The underlying iterator is initialized with std::move(x).
   3) The underlying iterator is initialized with that of other.
   4) The underlying iterator is initialized with std::forward<T>(x).

Parameters
   x - iterator to adapt
   other - iterator adaptor to copy

Example
    This section is incomplete
    Reason: no example

See also
   operator= assigns another iterator adaptor
             (public member function)

Category:
     * Todo no example